## axmail 2.5

=== Makefile ===
all: axmail

CC = gcc
LD = gcc
CFLAGS = -O2 -Wstrict-prototypes -g -I../lib
LIBS = -lcrypt
MODULES = utils.o config.o adduser.o command.o mailcmd.o mbox.o head.o lock.o axmail.o quit.o

.c.o:
	$(CC) $(CFLAGS) -c $<

upgrade: installbin installhelp

install: installbin installconf installhelp

installbin: all
	install -m 0755 -s -o root -g root axmail	 /usr/local/sbin

installconf:
	install -m 755    -o root -g root -d		/usr/local/etc/ax25
	install -m 644    -o root -g root etc/axmail.conf /usr/local/etc/ax25
	install -m 644    -o root -g root etc/welcome.txt /usr/local/etc/ax25

installhelp:
	install -m 755    -o root -g root -d		  /usr/local/var/ax25/axmail/help
	install -m 644    -o root -g root etc/help/*.hlp  /usr/local/var/ax25/axmail/help

back:
	rm -f ../mail.tar.gz
	tar cvf ../mail.tar *
	gzip ../mail.tar

clean:
	rm -f axmail *.o *~ *.bak core etc/*~ etc/help/*~

distclean: clean
	rm -f axmail

axmail: $(MODULES)
	$(LD) -o axmail $(MODULES) $(LIBS) $(LDFLAGS)

utils.o:	utils.h utils.c mbox.h
config.o:	config.h config.c defines.h axmail.h utils.h
adduser.o:	adduser.h adduser.c utils.h config.h defines.h
command.o:	command.h command.c config.h mailcmd.h mbox.h utils.h quit.h
mailcmd.o:	mailcmd.h mailcmd.c defines.h utils.h mbox.h config.h
mbox.o:		mbox.h mbox.c utils.h defines.h config.h head.h
head.o:		head.h head.c defines.h
utils.o:	utils.h utils.c 
lock.o:		lock.h lock.c utils.h
quit.o:		quit.h quit.c config.h lock.h
axmail.o:	axmail.h axmail.c config.h adduser.h utils.h quit.h mbox.h

=== debian/changelog ===
axmail (2.5-1) unstable; urgency=medium

  * Initial release. (Closes: #799482)

 -- Dave Hibberd <d@vehibberd.com>  Mon, 12 Oct 2015 09:53:56 +0100

=== debian/control ===
Source: axmail
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Dave Hibberd <d@vehibberd.com>
Build-Depends: debhelper (>= 9), postfix
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/axmail.git
Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/axmail.git
Homepage: http://sourceforge.net/projects/axmail/

Package: axmail
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mail user agent for ax.25 users, accessed via a node frontend
 axMail provides a simple low-overhead user interface, similar to /bin/mail, 
 xNOS and other packet BBS systems. It's useful for providing good SMTP mail 
 services for AX.25 users over slow radio channels.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Cut changelog from README and place in a changelog file

override_dh_auto_build:
	cat README | sed '27,338!d' > changelog
	dh_auto_build

## axmail 2.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 all: axmail
 
+MAN_DIR = /usr/local/share/man
 CC = gcc
 LD = gcc
 CFLAGS = -O2 -Wstrict-prototypes -g -I../lib
@@ -9,9 +10,9 @@
 .c.o:
 	$(CC) $(CFLAGS) -c $<
 
-upgrade: installbin installhelp
+upgrade: installbin installhelp installman
 
-install: installbin installconf installhelp
+install: installbin installconf installhelp installman
 
 installbin: all
 	install -m 0755 -s -o root -g root axmail	 /usr/local/sbin
@@ -25,6 +26,9 @@
 	install -m 755    -o root -g root -d		  /usr/local/var/ax25/axmail/help
 	install -m 644    -o root -g root etc/help/*.hlp  /usr/local/var/ax25/axmail/help
 
+installman:
+	install -m 644    -p man/axmail.8	$(MAN_DIR)/man8
+	install -m 644    -p man/axmail.conf.5	$(MAN_DIR)/man5
 back:
 	rm -f ../mail.tar.gz
 	tar cvf ../mail.tar *

=== debian/changelog ===
axmail (2.6-1) unstable; urgency=medium

  * Imported new upstream release
  * Refreshed Patches
  * debian/control
    - Updated standards to current version

 -- Dave Hibberd <d@vehibberd.com>  Sat, 21 Jan 2017 16:12:38 +0000

axmail (2.5.1-1) unstable; urgency=medium

  * Imported new upstream release
  * Refreshed Patches
  * Upstream manpages are now used instead of debian generated ones

 -- Dave Hibberd <d@vehibberd.com>  Tue, 06 Sep 2016 21:26:54 +0100

axmail (2.5-2) unstable; urgency=medium

  * debian/rules
    - Added hardening
  * debian/axmail.docs
    - Removed INSTALL
  * debian/patches/hardening
    - Renamed from fix_cflags
    - added $(CPPFLAGS) and $(LDFLAGS) to compiler options
  * debian/patches/spelling
    - Fixes spelling in utils.c
  * debian/manpages/axmail.conf.5
    - Fixed spelling error

 -- Dave Hibberd <d@vehibberd.com>  Tue, 05 Apr 2016 22:27:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Dave Hibberd <d@vehibberd.com>
 Build-Depends: debhelper (>= 9), postfix
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/axmail.git
-Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/axmail.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/axmail.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/axmail.git
 Homepage: http://sourceforge.net/projects/axmail/
 
 Package: axmail

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
@@ -7,4 +9,5 @@
 
 override_dh_auto_build:
 	cat README | sed '27,338!d' > changelog
+	rm INSTALL
 	dh_auto_build

=== debian/watch ===
version=3

http://sf.net/axmail/axmail-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## axmail 2.9

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 .c.o:
 	$(CC) $(CFLAGS) -c $<
 
-upgrade: installbin installhelp installman
+upgrade: installbin installhelp installman installconf
 
 install: installbin installconf installhelp installman
 
@@ -19,7 +19,7 @@
 
 installconf:
 	install -m 755    -o root -g root -d		/usr/local/etc/ax25
-	install -m 644    -o root -g root etc/axmail.conf /usr/local/etc/ax25
+	install -b -m 644 -o root -g root etc/axmail.conf /usr/local/etc/ax25
 	install -m 644    -o root -g root etc/welcome.txt /usr/local/etc/ax25
 
 installhelp:

=== debian/changelog ===
axmail (2.9-2) unstable; urgency=medium

  * Fixed the makefile edit that removed the binary (Closes: #918336)
    - patches/install_locations changed
    - patches/install_dir_creation refreshed

  * Improved lintian tidiness
    - patches/spelling updated with new spelling updates
    - debian/control had some whitespace removed

 -- Dave Hibberd <d@vehibberd.com>  Sat, 05 Jan 2019 22:27:18 +0000

axmail (2.9-1) unstable; urgency=medium

  * Imported new upstream release
    - Patches Refreshed
  * New Patch to correct manpage locations
    - correct-manpages.patch
  * debian/control
    - Svn locations updated
    - Homepage updated
    - Architecture changed to linux-any
    - Standards Version bumped to current release
    - dh version pushed to 11
  * debian/compat
    - bumped to dh 11
  * debian/compat
    - copyright updated with secure uri
  * build-depend on postfix removed (Closes: #904271)

 -- Dave Hibberd <d@vehibberd.com>  Thu, 27 Dec 2018 17:25:41 +0000

=== debian/control ===
Source: axmail
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Dave Hibberd <d@vehibberd.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0.1
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/axmail
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/axmail.git
Homepage: https://axmail.sourceforge.net

Package: axmail
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mail user agent for ax.25 users, accessed via a node frontend
 axMail provides a simple low-overhead user interface, similar to /bin/mail,
 xNOS and other packet BBS systems. It's useful for providing good SMTP mail
 services for AX.25 users over slow radio channels.

## axmail 2.11.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 .c.o:
 	$(CC) $(CFLAGS) -c $<
 
-upgrade: installbin installhelp installman installconf
+upgrade: installbin installhelp installman
 
 install: installbin installconf installhelp installman

=== debian/changelog ===
axmail (2.11.1-1) unstable; urgency=medium

  * Team upload.

  [ Dave Hibberd ]
  * Bump to new standards
  * Bump to dh12
  * Added debian/gitlab-ci.yml
  * Added patch by Helmut Grohne (Closes: #949988)
    - Makes axmail cross build from source

  [ Christoph Berg ]
  * New upstream version.
  * Use dh_install to install files instead of rewriting most of the upstream
    Makefile.
  * Install full README file as upstream changelog instead of sed'ing a
    random part from it as such.
  * Fix build failure with gcc 10. (Closes: #957028)
  * Move /var/lib/ax25/axmail/help to /usr/share/axmail/help.
    (Closes: #933867)

 -- Christoph Berg <myon@debian.org>  Mon, 03 Aug 2020 21:46:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Dave Hibberd <d@vehibberd.com>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0.1
+Build-Depends: debhelper-compat (=12)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/axmail
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/axmail.git
 Homepage: https://axmail.sourceforge.net

## axmail 2.12.2

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,8 @@
 	install -m 644    -o root -g root etc/welcome.txt /usr/local/etc/ax25
 
 installhelp:
-	install -m 755    -o root -g root -d		  /usr/local/var/ax25/axmail/help
-	install -m 644    -o root -g root etc/help/*.hlp  /usr/local/var/ax25/axmail/help
+	install -m 755    -o root -g root -d		  /usr/local/var/lib/ax25/axmail/help
+	install -m 644    -o root -g root etc/help/*.hlp  /usr/local/var/lib/ax25/axmail/help
 
 installman:
 	install -m 644    -p man/axmail.8	$(MAN_DIR)/man8

=== debian/changelog ===
axmail (2.12.2-1) unstable; urgency=medium

  * Bumped to 2.12.2 Upstream Release
    - Refreshed Patches

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in debian/watch.

  [ tony mancill ]
  * Update Homepage (Closes: #974723)

 -- Dave Hibberd <d@vehibberd.com>  Sat, 30 Jan 2021 21:20:46 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Dave Hibberd <d@vehibberd.com>
-Build-Depends: debhelper-compat (=12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/axmail
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/axmail.git
-Homepage: https://axmail.sourceforge.net
+Homepage: https://sourceforge.net/projects/axmail/
+Rules-Requires-Root: no
 
 Package: axmail
 Architecture: linux-any

## axmail 2.13

=== debian/changelog ===
axmail (2.13-2) unstable; urgency=medium

  * d/control:
    - Update standards
    - Update me
    - Add libcrypt-dev dependency (Closes: #1106973)
  * d/copyright: Update the gnu location to be online
  * Refresh patch headers to be DEP-3

 -- Dave Hibberd <hibby@debian.org>  Tue, 07 Oct 2025 23:00:14 +0100

axmail (2.13-1) unstable; urgency=medium

  * Team upload.

  [ Dave Hibberd ]
  * New upstream version 2.13
  * Standards bump to 4.6.0.1

  [ Christoph Berg ]
  * Remove .svn directory from tarball.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Nov 2022 17:12:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Dave Hibberd <d@vehibberd.com>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Uploaders: Dave Hibberd <hibby@debian.org>
+Build-Depends: debhelper-compat (= 13), libcrypt-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/axmail
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/axmail.git
 Homepage: https://sourceforge.net/projects/axmail/
-Rules-Requires-Root: no
 
 Package: axmail
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	# let dh_install do the work

override_dh_installchangelogs:
	# README is mostly upstream changelog, install it as such
	dh_installchangelogs README

=== debian/watch ===
version=4

https://sf.net/axmail/axmail-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
